Name:           transmission
Version:        1.80
Release:        0.2.b4%{?dist}
Summary:        A lightweight GTK+ BitTorrent client

Group:          Applications/Internet
# See COPYING. This licensing situation is... special.
License:        MIT and GPLv2
URL:            http://www.transmissionbt.com/
Source0:        http://download.m0k.org/transmission/files/transmission-%{version}b4.tar.xz

BuildRequires:  openssl-devel >= 0.9.4
BuildRequires:  glib2-devel >= 2.15.5
BuildRequires:  gtk2-devel >= 2.6.0
BuildRequires:  libnotify-devel >= 0.4.3
BuildRequires:  libcanberra-devel
BuildRequires:  libcurl-devel >= 7.16.3
BuildRequires:  dbus-glib-devel >= 0.70
BuildRequires:  libevent-devel >= 1.4.5
BuildRequires:  desktop-file-utils
BuildRequires:  gettext intltool
BuildRequires:  GConf2-devel
BuildRequires:  qt4-devel
%description
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top on an efficient, cross-platform
back-end.


%prep
%setup -q -n transmission-1.80b4

%build
%configure --disable-static --with-qt --without-wx --enable-libcanberra
make %{?_smp_mflags}

pushd qt
qmake-qt4 qtr.pro
make
popd


%install
make install DESTDIR=$RPM_BUILD_ROOT

make install INSTALL_ROOT=$RPM_BUILD_ROOT%{_prefix} -C qt

%find_lang %{name}

desktop-file-install  --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ \
        $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database > /dev/null 2>&1 || :


%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING NEWS README
%{_bindir}/transmission*
%{_bindir}/qtr
%{_datadir}/transmission
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/transmission.*
%{_datadir}/applications/*transmission.desktop
%doc %{_mandir}/man1/transmission*


%changelog
* Tue Jan 05 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 1.80-0.2.b4
- Add BR GConf2-devel

* Tue Jan 05 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 1.80-0.1.b4
- 1.80 Beta 4
- http://trac.transmissionbt.com/wiki/Changes#version-1.80b4

* Thu Dec 17 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 1.80-0.1.b3
- 1.80 Beta 3
- Enable sounds via libcanberra
- http://trac.transmissionbt.com/wiki/Changes#version-1.80b3

* Sun Oct 25 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 1.76-1
- http://trac.transmissionbt.com/wiki/Changes#version-1.76

* Tue Sep 15 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 1.75-1
- new upstream release
- Fixes seg fault, rhbz#522783

* Thu Aug 27 2009 Tomas Mraz <tmraz@redhat.com> - 1.74-3
- rebuilt with new openssl

* Tue Aug 25 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 1.74-2
- Add source

* Tue Aug 25 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 1.74-1
- Bug fix release
- http://trac.transmissionbt.com/wiki/Changes
- disable static linking explicitly

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.73-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 24 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 1.73-1
- new upstream
- switch to using LZMA source

* Sun Jun 21 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 1.72-1
- Update to new upstream version
- Drop compiler options patch since upstream has fixed this issue

* Fri Jun 12 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 1.71-1
- Update to upstream version 1.71
- Update compiler options patch to match new upstream release
- Drop patch for not using bundled libevent. Upstream now has been fixed to use the system copy whenever possible
- Don't use vendor tag for desktop file. It is not recommended anymore
- Follow https://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

* Thu May 28 2009 Denis Leroy <denis@poolshark.org> - 1.61-1
- Update to upstream version 1.61
- fallocate patch upstreamed
- Patches updated for 1.61

* Fri May 22 2009 Denis Leroy <denis@poolshark.org> - 1.53-1
- Update to upstream 1.53
- XDG Download patch upstreamed
- Security fix CVE-2009-1757 (#500278)

* Sat Mar 28 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.51-2
- Use XDG Download directory (#490950)

* Sat Feb 28 2009 Denis Leroy <denis@poolshark.org> - 1.51-1
- Update to upstream 1.51
- Added icon cache scriplets (#487824)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.50-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Denis Leroy <denis@poolshark.org> - 1.50-1
- Update to upstream 1.50
- Ported patches to 1.50, enforce compile flags

* Sun Jan 18 2009 Tomas Mraz <tmraz@redhat.com> - 1.42-2
- rebuild with new openssl

* Wed Dec 31 2008 Brian Pepple <bpepple@fedoraproject.org> - 1.42-1
- Update to 1.42.
- Update event patch to 1.42.

* Fri Nov 21 2008 Denis Leroy <denis@poolshark.org> - 1.40-1
- Update to upstream 1.40
- Ported patches to 1.40

* Sun Sep 28 2008 Denis Leroy <denis@poolshark.org> - 1.34-1
- Update to upstream 1.34
- Added patch to link with distributed libevent library

* Mon Sep  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.33-2
- fix license tag

* Sun Aug 24 2008 Denis Leroy <denis@poolshark.org> - 1.33-1
- Update to upstream 1.33
- Now dual-licensed
- Gnusource and download dir patches upstreamed

* Wed Jun 18 2008 Denis Leroy <denis@poolshark.org> - 1.22-1
- Update to upstream 1.22

* Sat May 31 2008 Denis Leroy <denis@poolshark.org> - 1.21-1
- Update to upstream 1.21

* Tue May 13 2008 Denis Leroy <denis@poolshark.org> - 1.20-1
- Update to upstream 1.20
- Browser opening patch upstreamed
- New dependencies (dbus, curl)

* Tue May  6 2008 Denis Leroy <denis@poolshark.org> - 1.11-2
- Patch to fix opening issue from browser (#431769)
- Patch to fix hardcoded optimize compile flags

* Fri May  2 2008 Denis Leroy <denis@poolshark.org> - 1.11-1
- Update to upstream 1.11, many bug fixes

* Fri Mar 14 2008 Denis Leroy <denis@poolshark.org> - 1.06-1
- Update to upstream 1.06, bug fixes, memory leak fix

* Sun Feb 10 2008 Denis Leroy <denis@poolshark.org> - 1.05-1
- Update to upstream 1.05, with a bunch of bug fixes

* Thu Jan 31 2008 Denis Leroy <denis@poolshark.org> - 1.03-1
- Update to upstream 1.03

* Wed Jan 23 2008 Denis Leroy <denis@poolshark.org> - 1.02-1
- Update to upstream 1.02, bugfix release

* Sat Jan  5 2008 Denis Leroy <denis@poolshark.org> - 1.00-1
- Update to upstream 1.00. New project URL

* Wed Dec  5 2007 Denis Leroy <denis@poolshark.org> - 0.95-1
- Update to upstream 0.95
- Rebuild with new openssl

* Thu Nov 29 2007 Denis Leroy <denis@poolshark.org> - 0.94-1
- Update to upstream 0.94

* Tue Nov  6 2007 Denis Leroy <denis@poolshark.org> - 0.92-1
- Update to upstream 0.92, important bug fixes

* Sat Nov  3 2007 Denis Leroy <denis@poolshark.org> - 0.91-1
- Update to upstream 0.91
- Removal of -gtk suffix
- Obsoleting manpath patch

* Wed Sep 12 2007 Denis Leroy <denis@poolshark.org> - 0.82-1
- Update to upstream 0.82, many bug fixes
- Added patch to support default user download directory (Bastien Nocera)

* Sat Aug 25 2007 - Bastien Nocera <bnocera@redhat.com> - 0.81-1
- Update to upstream 0.81
- Add work-around for busted tarball without a sub-directory

* Thu Aug 16 2007 Denis Leroy <denis@poolshark.org> - 0.80-1
- Update to upstream 0.80

* Wed May  2 2007 Denis Leroy <denis@poolshark.org> - 0.72-1
- Update to 0.72
- Added libevent BR

* Wed Apr 25 2007 Denis Leroy <denis@poolshark.org> - 0.71-1
- Update to 0.71
- Removed custom desktop file
- Added patch to fix manpath

* Thu Sep 28 2006 Denis Leroy <denis@poolshark.org> - 0.6.1-3
- Added project icon
- Honor cc variable

* Mon Sep 25 2006 Denis Leroy <denis@poolshark.org> - 0.6.1-2
- Removed ldconfig Requires

* Wed Sep 13 2006 Denis Leroy <denis@poolshark.org> - 0.6.1-1
- First version


